<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Codemirror ❤️ Helix</title>
    <link rel="stylesheet" href="style.css" />
  </head>
  <body>
    <div>
      <h1 style="display: inline-block">Codemirror ❤️ Helix</h1>
      &emsp;&emsp;&emsp;
      <a href="https://gitlab.com/_rvidal/codemirror-helix">repo</a>
    </div>

    <div id="editor"></div>

    <div id="options" class="hud">
      <h3>Config</h3>
      <label>
        <code>editor.cursor-shape.insert</code>
        <select
          data-option
          name="editor.cursor-shape.insert"
          autocomplete="off"
        >
          <option value="block" selected>block</option>
          <option value="bar">bar</option>
        </select>
      </label>
    </div>

    <hr class="hud" />

    <hx-debug class="hud"></hx-debug>

    <script type="module" src="main.ts"></script>
  </body>
</html>
